Subject: bug#30428: guix git-fetch doesn't specify "--depth 1" - git clone clones a lot without any use

From: Leo Famulari <[email-masked]>
Date: Tue, 13 Feb 2018 13:08:06 -0500

On Tue, Feb 13, 2018 at 06:08:58PM +0100, Marius Bakke wrote:
> 
> 
> On February 13, 2018 3:22:58 PM GMT+01:00, Leo Famulari <[email-masked]> wrote:
> >On Mon, Feb 12, 2018 at 11:59:50PM +0100, Danny Milosavljevic wrote:
> >> Leo Famulari <[email-masked]> wrote:
> >> 
> >> > I think it's worth adding, but as an option, because there are Git
> >> > server implementations, like JGit, that don't support shallow
> >cloning.
> >> 
> >> Thanks for that!  I didn't consider that before...
> >> 
> >> Possible patch (do you know such servers and can test whether they
> >still work?):
> >
> >I think that Google's public-facing Git servers use JGit. So, perhaps
> >try shallow cloning Chromium and see if it works.
> 
> "libvpx" in Guix uses Chromiums git infrastructure and is fairly small.

Looks like the Chromium and libvpx Git repos both support shallow
cloning now. That's great news for anyone building Chromium!

But it doesn't help find a Git server that doesn't support shallow
cloning.